/*
 *  Status monitor for Canon NCAP Printer.
 *  Copyright (C) 2015 CANON INC.
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _UICOMBOBOXITEM
#define	_UICOMBOBOXITEM

#include <gtk/gtk.h>
#include "cngplpmod.h"


typedef struct _UIComboBoxItem        UIComboBoxItem;

typedef struct
{
	const gchar *pMessageID;
	const char *pValue;
} ComboBoxContent;

UIComboBoxItem *CreateComboBoxItem(GtkWidget *pWindow, cngplpData *pModData, const char *pPPDKey, const char *pComboboxName, const ComboBoxContent *pComboBoxContent);

void SetComboBoxSelectedValue(UIComboBoxItem *comboboxItem, const char *pValue);

const char *GetComboBoxSelectedValue(UIComboBoxItem *comboboxItem);

void DisposeComboBoxItem(UIComboBoxItem *comboboxItem);


#endif

